<div id="booking">
    <h1>Affluences</h1>
    <button 
        mat-stroked-button
        (click)="navigateToBookings()"
        [disabled]="reservationService.busy">
        <mat-icon>chevron_left</mat-icon>
        <span>
            Back
        </span>
    </button>
    <form
        *ngIf="!reservationService.busy; else reservationCreation"
        [formGroup]="formGroup"
        (ngSubmit)="onSubmit()">
        <span>Selected timeslot: {{ bookingService.reservationCandidate?.date | date:'YYYY-MM-dd \'at\' HH:mm:ss' }}</span>
        <div>
            <mat-form-field [appearance]="'outline'">
                <mat-label>First Name</mat-label>
                <input
                    matInput
                    formControlName="firstName"
                    placeholder="First name">
                <mat-error *ngIf="formGroup.controls['firstName'].hasError( 'required' )">First name required.</mat-error>
            </mat-form-field>
            <mat-form-field [appearance]="'outline'">
                <mat-label>Last Name</mat-label>
                <input
                    matInput
                    formControlName="lastName"
                    placeholder="Last name">
                <mat-error *ngIf="formGroup.controls['lastName'].hasError( 'required' )">Last name required.</mat-error>
            </mat-form-field>
        </div>
        <div>
            <mat-form-field [appearance]="'outline'">
                <mat-label>Email</mat-label>
                <input
                    matInput
                    formControlName="email"
                    placeholder="Email">
                <mat-error *ngIf="formGroup.controls['email'].hasError( 'required' )">Email required.</mat-error>
                <mat-error *ngIf="formGroup.controls['email'].hasError( 'email' )">Like email format.</mat-error>
            </mat-form-field>
            <mat-form-field [appearance]="'outline'">
                <mat-label>Phone number</mat-label>
                <input
                    matInput
                    formControlName="phone"
                    placeholder="Phone number">
                <mat-error *ngIf="formGroup.controls['phone'].hasError( 'required' )">Phone required.</mat-error>
                <mat-error *ngIf="formGroup.controls['phone'].hasError( 'pattern' )">Like "0123456789" or "+00 123456789".</mat-error>
            </mat-form-field>
        </div>
        <mat-checkbox
            [color]="'primary'"
            formControlName="tos">
            I accept terms and conditions.
        </mat-checkbox>
        <mat-checkbox
            [color]="'primary'"
            [formControl]="saveFormControl">
            Save my account.
        </mat-checkbox>
        <button
            [color]="'primary'"
            mat-stroked-button
            color="primary"
            type="submit"
            [disabled]="!formGroup.valid">
            Submit
        </button>
    </form>
    <ng-template #reservationCreation>
        <mat-spinner></mat-spinner>
    </ng-template>
</div>
